# Get customer info schema for cart Before creating an order, customer information must be added to cart. The exact information to provide can vary, depending on the selected activity products. The response follows the JSON Schema Specification to provide a schema of questions and extra customer data (if any) for the customer to answer in order to complete a reservation. Endpoint: GET /carts/{cartUuid}/customer/schema Version: 3.5.0 ## Path parameters: - `cartUuid` (string, required) The UUID of the cart. ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Market` (string) Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog. An invalid X-Musement-Market value will return a 400 status code response. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Response 200 fields (application/json): - `title` (string) The type of item: * cart_customer_guest: Customer info for cart * cart_item_participants_info: Participant info for cart item * form: Extra customer data * participant: Participant info Enum: "cart_customer_guest", "cart_item_participants_info", "form", "participant" - `type` (string) Enum: "object" - `properties` (object) Example: {"address":{"title":"address","propertyOrder":9,"type":"string"},"allow_profiling":{"title":"allow_profiling","enum":["NO","YES"],"enum_titles":["NO","YES"],"propertyOrder":5,"type":"string"},"city":{"title":"city","propertyOrder":8,"type":"string"},"email":{"title":"Email address","format":"email","propertyOrder":3,"type":"string"},"events_related_newsletter":{"title":"events_related_newsletter","enum":["NO","YES"],"enum_titles":["NO","YES"],"propertyOrder":7,"type":"string"},"firstname":{"title":"First name","propertyOrder":1,"type":"string"},"lastname":{"title":"Last name","propertyOrder":2,"type":"string"},"musement_newsletter":{"title":"musement_newsletter","enum":["NO","YES"],"enum_titles":["NO","YES"],"propertyOrder":4,"type":"string"},"tax_id":{"title":"tax_id","propertyOrder":11,"type":"string"},"thirdparty_newsletter":{"title":"thirdparty_newsletter","enum":["NO","YES"],"enum_titles":["NO","YES"],"propertyOrder":6,"type":"string"},"zipcode":{"title":"zipcode","propertyOrder":10,"type":"string"}} - `required` (array) A list of properties which require values in order to complete a reservation. Example: ["allow_profiling","email","events_related_newsletter","firstname","lastname","musement_newsletter","thirdparty_newsletter"] ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Resource does not exist" ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"